Debian Bug report logs - #360920
tix-dev: What's happened to tix.h ?

version graph

Package: tix-dev; Maintainer for tix-dev is Georges Khaznadar <georgesk@debian.org>; Source for tix-dev is src:tix.

Reported by: Philip Armstrong <phil@kantaka.co.uk>

Date: Wed, 5 Apr 2006 15:03:05 UTC

Severity: normal

Found in version tix-dev/8.4.0-4

Fixed in versions tix/8.4.0-4.3, tix/8.4.0-5, tix/8.4.0-6

Done: Amaya Rodrigo Sastre <amaya@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#360920; Package tix-dev. Full text and rfc822 format available.

Acknowledgement sent to Philip Armstrong <phil@kantaka.co.uk>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philip Armstrong <phil@kantaka.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tix-dev: What's happened to tix.h ?
Date: Wed, 05 Apr 2006 15:57:55 +0100
Package: tix-dev
Version: 8.4.0-4
Severity: normal

tix.h seems to have gone missing from the tix development package:

$ dpkg -L tix8.1-dev|grep tix\\\.h
/usr/include/tix.h
...
$ dpkg -L tix-dev|grep tix\\\.h
$

This makes compiling embedded tcl programs that need tix a tad tricky
:) (Although I can probably just grab the header from the sources of
course)
  
cheers, Phil

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-k7
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages tix-dev depends on:
ii  tcl8.4-dev                    8.4.12-1   Tcl (the Tool Command Language) v8
ii  tix [tix]                     8.4.0-4    The Tix library for Tk -- runtime 
ii  tk8.4-dev                     8.4.12-1   Tk toolkit for Tcl and X11, v8.4 -

tix-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#360920; Package tix-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #10 received at 360920@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 360920@bugs.debian.org
Cc: Matthias Klose <doko@debian.org>, debian-devel@lists.debian.org
Subject: Please upload NMU of tix package to close #360920
Date: Sat, 21 Oct 2006 21:16:50 +0200
[Message part 1 (text/plain, inline)]
tags 360920 patch

thanks


Hi,

I found out that the tix-dev does not install the essential tix.h. This
is extremly inconvenient, if you need tix. There is a bugreport about this that is
almost 200 days old, without a response by the maintainer.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=360920

I'm not sure why this bug has severity 'normal'. A significant part of
the package is pretty useless without the header.

I fixed the bug and uploaded the NMU to mentors.d.n. Because this is
already the third NMU in a row this message is send to debian-devel
directly (maintainer is CC'ed).

I'd be glad if someone could upload the package (I'm not a DD). I have
to admit that the fix is not the most beautiful. However, it is fairly
simple and should work. Please see the attached diff.

And yes, the package is anything else than lintian clean!

The package is here:

http://mentors.debian.net/debian/pool/main/t/tix/tix_8.4.0-4.3.dsc

or 

http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=tix


Thanks in advance,


Michael



-- 
GPG key:  1024D/3144BE0F Michael Hanke
http://apsy.gse.uni-magdeburg.de/hanke
ICQ: 48230050
[missing_tix.h.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#360920; Package tix-dev. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #15 received at 360920@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: debian-devel@lists.debian.org
Cc: 360920@bugs.debian.org, Matthias Klose <doko@debian.org>
Subject: Re: Please upload NMU of tix package to close #360920
Date: Mon, 23 Oct 2006 10:47:49 +0200
Hi there, Matthias, Michael

Michael Hanke wrote:
> tags 360920 patch

Matthias, I will review this package and sponsor the NMU. I will then
upload to the delayed-1 queue. I hope you have no problem with this.


-- 
  ยท''`.             If I can't dance to it, it's not my revolution
 : :' :                                            -- Emma Goldman
 `. `'           Proudly running Debian GNU/Linux (unstable)
   `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Reply sent to Michael Hanke <michael.hanke@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philip Armstrong <phil@kantaka.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 360920-close@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 360920-close@bugs.debian.org
Subject: Bug#360920: fixed in tix 8.4.0-4.3
Date: Mon, 23 Oct 2006 02:17:15 -0700
Source: tix
Source-Version: 8.4.0-4.3

We believe that the bug you reported is fixed in the latest version of
tix, which is due to be installed in the Debian FTP archive:

tix-dev_8.4.0-4.3_i386.deb
  to pool/main/t/tix/tix-dev_8.4.0-4.3_i386.deb
tix_8.4.0-4.3.diff.gz
  to pool/main/t/tix/tix_8.4.0-4.3.diff.gz
tix_8.4.0-4.3.dsc
  to pool/main/t/tix/tix_8.4.0-4.3.dsc
tix_8.4.0-4.3_i386.deb
  to pool/main/t/tix/tix_8.4.0-4.3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 360920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Hanke <michael.hanke@gmail.com> (supplier of updated tix package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 21 Oct 2006 20:57:25 +0200
Source: tix
Binary: tix tix-dev
Architecture: source i386
Version: 8.4.0-4.3
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Michael Hanke <michael.hanke@gmail.com>
Description: 
 tix        - The Tix library for Tk -- runtime package
 tix-dev    - The Tix library for Tk -- development package
Closes: 360920
Changes: 
 tix (8.4.0-4.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Modified debian/rules to manually install missing tix.h (Closes: #360920).
Files: 
 67c13c5b176d4128dbf709a08161acbf 591 libs optional tix_8.4.0-4.3.dsc
 7fcd84a1a6e27e432cb07284b7a34317 1820202 libs optional tix_8.4.0.orig.tar.gz
 e40fee07715553e7388f9f25a4c8ff50 26396 libs optional tix_8.4.0-4.3.diff.gz
 5b71d7f9727c4fba6fae9c95056f69a1 314814 libs optional tix_8.4.0-4.3_i386.deb
 6bf4a81d9cb31b819a8cfec730d09134 531710 devel optional tix-dev_8.4.0-4.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFPIQoNFDtUT/MKpARAtASAJ4s5lgH/JBDK3cAh1sMCOK9WbEYAgCgr8o8
4xVzA+nOuO6NmPA946i3VFI=
=Vno5
-----END PGP SIGNATURE-----




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philip Armstrong <phil@kantaka.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 360920-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 360920-close@bugs.debian.org
Subject: Bug#360920: fixed in tix 8.4.0-5
Date: Sat, 28 Oct 2006 18:17:15 -0700
Source: tix
Source-Version: 8.4.0-5

We believe that the bug you reported is fixed in the latest version of
tix, which is due to be installed in the Debian FTP archive:

tix-dev_8.4.0-5_i386.deb
  to pool/main/t/tix/tix-dev_8.4.0-5_i386.deb
tix_8.4.0-5.diff.gz
  to pool/main/t/tix/tix_8.4.0-5.diff.gz
tix_8.4.0-5.dsc
  to pool/main/t/tix/tix_8.4.0-5.dsc
tix_8.4.0-5_i386.deb
  to pool/main/t/tix/tix_8.4.0-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 360920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated tix package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 29 Oct 2006 02:50:16 +0200
Source: tix
Binary: tix tix-dev
Architecture: source i386
Version: 8.4.0-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 tix        - The Tix library for Tk -- runtime package
 tix-dev    - The Tix library for Tk -- development package
Closes: 359804 360920 366266 374623
Changes: 
 tix (8.4.0-5) unstable; urgency=low
 .
   * Orphan the package.
 .
 tix (8.4.0-4.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Modified debian/rules to manually install missing tix.h (Closes: #360920).
 .
 tix (8.4.0-4.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Applied patch by Petr Salinger to fix shared library building on
     GNU/kFreeBSD and GNU/Hurd (closes: #366266, #374623).
   * Rerun aclocal and autoconf.
 .
 tix (8.4.0-4.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Hack around the TEA autoconf macros to set a proper soname for the shared
     library. (Closes: #359804)
Files: 
 99bba913e8054c5c285577240b6a59a6 595 libs optional tix_8.4.0-5.dsc
 3ada25b86138a6453304c67290bf05a7 26431 libs optional tix_8.4.0-5.diff.gz
 f939ab14841810af2fe2c9165a47fabe 314836 libs optional tix_8.4.0-5_i386.deb
 f2d0d5540e246b20907616579ae87aaf 531708 devel optional tix-dev_8.4.0-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFQ/vEStlRaw+TLJwRAj88AJ41V728oj5lgrhIih8H3ZurN8YFmwCghxiO
vHH2dgByz54NLSpckiDmvGs=
=y2ub
-----END PGP SIGNATURE-----




Reply sent to Amaya Rodrigo Sastre <amaya@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philip Armstrong <phil@kantaka.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 360920-close@bugs.debian.org (full text, mbox):

From: Amaya Rodrigo Sastre <amaya@debian.org>
To: 360920-close@bugs.debian.org
Subject: Bug#360920: fixed in tix 8.4.0-6
Date: Tue, 31 Oct 2006 00:02:34 -0800
Source: tix
Source-Version: 8.4.0-6

We believe that the bug you reported is fixed in the latest version of
tix, which is due to be installed in the Debian FTP archive:

tix-dev_8.4.0-6_i386.deb
  to pool/main/t/tix/tix-dev_8.4.0-6_i386.deb
tix_8.4.0-6.diff.gz
  to pool/main/t/tix/tix_8.4.0-6.diff.gz
tix_8.4.0-6.dsc
  to pool/main/t/tix/tix_8.4.0-6.dsc
tix_8.4.0-6_i386.deb
  to pool/main/t/tix/tix_8.4.0-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 360920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Amaya Rodrigo Sastre <amaya@debian.org> (supplier of updated tix package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 31 Oct 2006 08:44:36 +0100
Source: tix
Binary: tix tix-dev
Architecture: source i386
Version: 8.4.0-6
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Amaya Rodrigo Sastre <amaya@debian.org>
Description: 
 tix        - The Tix library for Tk -- runtime package
 tix-dev    - The Tix library for Tk -- development package
Closes: 359804 360920 366266 374623 394635
Changes: 
 tix (8.4.0-6) unstable; urgency=low
 .
   * QA upload.
   * Install man.macros as /usr/share/tixman.macros. Fix all the manpages
     accordingly. (Closes: #394635).
   * Updated Standards version, to 3.7.2, no changes needed.
   * Ack previous NMUS (Closes: #360920, #366266, #374623, #359804).
   * Created debian/compat, at value 5.
Files: 
 fb2b38ec900b6f82a8fab8315062b5b5 593 libs optional tix_8.4.0-6.dsc
 7fcd84a1a6e27e432cb07284b7a34317 1820202 libs optional tix_8.4.0.orig.tar.gz
 7db35de24f2174c5f65141539e498e3a 27937 libs optional tix_8.4.0-6.diff.gz
 179fe88c7423b978f8a8e7972bae087b 315048 libs optional tix_8.4.0-6_i386.deb
 1634778383a5e147172cdacc92bed8ec 534386 devel optional tix-dev_8.4.0-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFRv/SNFDtUT/MKpARAgjzAKDcls+swtQt0eH9O8J0nUN8+UrMvACfU/QW
YsqQfBiI703v0W1pAWGcDEg=
=HoaZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 19:57:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:13:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.